import flask

from server.authentication import authentication_required

frontend_blueprint = flask.Blueprint("frontend", __name__)


@frontend_blueprint.route("/avatar")
def avatars() -> flask.Response:
    return flask.render_template("index.html")


@frontend_blueprint.route("/", defaults={"path": ""})
@frontend_blueprint.route("/<path:path>")
@authentication_required
def index(path: str) -> flask.Response:
    return flask.render_template("index.html")
